{
	"format_version": "1.21.50",
	"minecraft:block": {
		"description": {
			"identifier": "rc:backpack_wither",
			"menu_category": {
				"category": "none"
			},
			"traits": {
				"minecraft:placement_direction": {
					"enabled_states": [
						"minecraft:cardinal_direction"
					]
				}
			}
		},
		"components": {
			"tag:minecraft:is_hoe_item_destructible": {},
"minecraft:material_instances": {
				"*": {
					"texture": "backpack_wither",
					"render_method": "alpha_test"
				}
			},
			"minecraft:loot": "loot_tables/empty.json",
			"minecraft:custom_components": [
				"rc:backpack"
			],
			"minecraft:collision_box": {
				"origin": [
					-8,
					0,
					-5.5
				],
				"size": [
					16,
					13,
					11
				]
			},
			"minecraft:selection_box": {
				"origin": [
					-8,
					0,
					-5.5
				],
				"size": [
					16,
					13,
					11
				]
			},
			"minecraft:destructible_by_mining": {
				"seconds_to_destroy": 1
			},
			"minecraft:destructible_by_explosion": {
				"explosion_resistance": 30
			},
			"minecraft:geometry": "geometry.backpack",
			"minecraft:map_color": "#ffffff"
		},
		"permutations": [
			{
				"condition": "q.block_state('minecraft:cardinal_direction') == 'north' ",
				"components": {
					"minecraft:transformation": {
						"rotation": [
							0,
							180,
							0
						]
					}
				}
			},
			{
				"condition": "q.block_state('minecraft:cardinal_direction') == 'south' ",
				"components": {
					"minecraft:transformation": {
						"rotation": [
							0,
							0,
							0
						]
					}
				}
			},
			{
				"condition": "q.block_state('minecraft:cardinal_direction') == 'east' ",
				"components": {
					"minecraft:transformation": {
						"rotation": [
							0,
							90,
							0
						]
					}
				}
			},
			{
				"condition": "q.block_state('minecraft:cardinal_direction') == 'west' ",
				"components": {
					"minecraft:transformation": {
						"rotation": [
							0,
							270,
							0
						]
					}
				}
			}
		]
	}
}